Skip to main content
Nowledge MemNowledge Mem

Export Thread

GET
/threads/{thread_id}/export

Export a thread in various formats.

Path Parameters

thread_id*Thread Id

Query Parameters

format?Format

Export format: json, markdown, html

Default"json"
include_metadata?Include Metadata

Include thread metadata

Defaulttrue
thread_reference?string

Optional canonical Local stored-row URI returned as thread_reference. Selects that exact row within the existing Space lens. It never falls back to thread_id. Hosted Cloud rejects Local stored references.

space_id?string

Optional exact conversation Space lens.

Response Body

application/json

application/json

curl -X GET "https://example.com/threads/string/export"
null